routes/web.php
<?php

Route::group(['prefix' => LaravelLocalization::setLocale()], function()
{
	Route::prefix('/')->group(function(){
		//Login
		Route::get('/login', 'Auth\LoginController@index')->name('login');
		Route::post('/login', 'Auth\LoginController@login')->name('login.attempt');

		//Register
		Route::get('/register', 'Auth\RegisterController@index')->name('register');
		Route::post('/register', 'Auth\RegisterController@store')->name('register.store');	

		Route::middleware(['auth'])->group(function(){
			//Dashboard	
			Route::get('/', 'DashboardController@index')->name('dashboard');
			Route::get('dashboard', 'DashboardController@index')->name('dashboard');

			//Category
			Route::get('/category/json', 'Category\CategoryController@populateRecords')->name('category.getCategoryData');
			Route::delete('/category', 'Category\CategoryController@delete')->name('category.delete');		
			Route::resource('category', 'Category\CategoryController');

			//Inventory
			Route::get('/inventory/detail/json/{id}', 'Inventory\InventoryController@populateDetailRecords')->name('inventory.getInventoryDetailData');
			Route::get('/inventory/user/json/{id}', 'Inventory\InventoryController@inventoryUserDetails')->name('inventory.inventoryUserDetails');
			Route::get('/inventory/maintenance/json/{id}', 'Inventory\InventoryController@populateMaintenanceRecords')->name('inventory.maintenanceRecords');
			Route::get('/inventory/maintenance/work/json/{id}', 'Inventory\InventoryController@populateMaintenanceWorkRecords')->name('inventory.maintenanceWorkRecords');
			Route::get('/inventory/maintenance/part/json/{id}', 'Inventory\InventoryController@populateMaintenancePartRecords')->name('inventory.maintenancePartRecords');
			Route::get('/inventory/json', 'Inventory\InventoryController@populateRecords')->name('inventory.getInventoryData');
			Route::delete('/inventory', 'Inventory\InventoryController@delete')->name('inventory.delete');		
			Route::resource('inventory', 'Inventory\InventoryController');			

			//Department
			Route::get('/department/json', 'Department\DepartmentController@populateRecords')->name('department.getDepartmentData');
			Route::delete('/department', 'Department\DepartmentController@delete')->name('department.delete');		
			Route::resource('department', 'Department\DepartmentController');

			//Employee
			Route::get('/employee/json', 'Employee\EmployeeController@populateRecords')->name('employee.getEmployeeData');
			Route::delete('/employee', 'Employee\EmployeeController@delete')->name('employee.delete');		
			Route::resource('employee', 'Employee\EmployeeController');

			//Inventory Request
			Route::get('/request/json', 'InventoryRequest\InventoryRequestController@populateRecords')->name('request.getInventoryRequestData');
			Route::get('/request/detail/json/{id}', 'InventoryRequest\InventoryRequestController@populateDetailRecords')->name('request.getInventoryRequestDetailData');
			Route::delete('/request', 'InventoryRequest\InventoryRequestController@delete')->name('request.delete');		
			Route::resource('request', 'InventoryRequest\InventoryRequestController');

			//Inventory Request Detail
			Route::get('/request/item/json', 'InventoryRequest\InventoryRequestController@populateItem')->name('request.populateItem');
			Route::get('/request/item/{id}', 'InventoryRequest\InventoryRequestController@getDetailItem')->name('request.autoFillItem');
			Route::post('/request/item', 'InventoryRequest\InventoryRequestController@storeRequestDetail')->name('request.storeRequestDetail');
			Route::delete('/request/item/{item}', 'InventoryRequest\InventoryRequestController@requestDetailDestroy')->name('request.requestDetailDestroy');

			//Inventory Procurement
			Route::get('/procurement/json', 'InventoryProcurement\InventoryProcurementController@populateRecords')->name('procurement.getInventoryProcurementData');
			Route::get('/procurement/detail/json/{id}', 'InventoryProcurement\InventoryProcurementController@populateDetailRecords')->name('procurement.getInventoryProcurementDetailData');
			Route::delete('/procurement', 'InventoryProcurement\InventoryProcurementController@delete')->name('procurement.delete');
			Route::resource('procurement', 'InventoryProcurement\InventoryProcurementController');

			//Inventory Procurement Detail
			Route::get('/generate', 'InventoryProcurement\InventoryProcurementController@autoCode')->name('procurement.autoCode');
			Route::get('/procurement/item/json', 'InventoryProcurement\InventoryProcurementController@populateItem')->name('procurement.populateItem');
			Route::get('/procurement/item/{id}', 'InventoryProcurement\InventoryProcurementController@getDetailItem')->name('procurement.autoFillItem');
			Route::post('/procurement/item', 'InventoryProcurement\InventoryProcurementController@storeProcurementDetail')->name('procurement.storeProcurementDetail');
			Route::get('/procurement/show/detail/{id}', 'InventoryProcurement\InventoryProcurementController@getProcurementDetailItem')->name('procurement.getProcurementDetailItem');
			Route::get('/procurement/show/subdetail/{id}', 'InventoryProcurement\InventoryProcurementController@getSubDetailItem')->name('procurement.getSubDetailItem');
			Route::delete('/procurement/item/{item}', 'InventoryProcurement\InventoryProcurementController@procurementDetailDestroy')->name('procurement.procurementDetailDestroy');

			//Inventory Delivery
			Route::get('/delivery/request/{id}', 'InventoryDelivery\InventoryDeliveryController@populateInventoryRequest')->name('delivery.getInventoryRequest');
			Route::get('/delivery/employee/{id}', 'InventoryDelivery\InventoryDeliveryController@populateEmployee')->name('delivery.getEmployee');
			Route::get('/delivery/json', 'InventoryDelivery\InventoryDeliveryController@populateRecords')->name('delivery.getInventoryDeliveryData');
			Route::get('/delivery/detail/json/{id}', 'InventoryDelivery\InventoryDeliveryController@populateDetailRecords')->name('delivery.getInventoryDeliveryDetailData');
			Route::delete('/delivery', 'InventoryDelivery\InventoryDeliveryController@delete')->name('delivery.delete');		
			Route::resource('delivery', 'InventoryDelivery\InventoryDeliveryController');

			//Inventory Delivery Detail
			Route::get('/delivery/item/json', 'InventoryDelivery\InventoryDeliveryController@populateItem')->name('delivery.populateItem');
			Route::get('/delivery/item/{id}', 'InventoryDelivery\InventoryDeliveryController@getDetailItem')->name('delivery.autoFillItem');
			Route::post('/delivery/item', 'InventoryDelivery\InventoryDeliveryController@storeDeliveryDetail')->name('delivery.storeDeliveryDetail');
			Route::delete('/delivery/item/{item}', 'InventoryDelivery\InventoryDeliveryController@deliveryDetailDestroy')->name('delivery.deliveryDetailDestroy');

			//Inventory Return
			Route::get('/return/delivery/{id}', 'InventoryReturn\InventoryReturnController@populateInventoryDelivery')->name('return.getInventoryDelivery');
			Route::get('/return/employee/{id}', 'InventoryReturn\InventoryReturnController@populateEmployee')->name('return.getEmployee');
			Route::get('/return/json', 'InventoryReturn\InventoryReturnController@populateRecords')->name('return.getInventoryReturnData');
			Route::get('/return/detail/json/{id}', 'InventoryReturn\InventoryReturnController@populateDetailRecords')->name('return.getInventoryReturnDetailData');
			Route::delete('/return', 'InventoryReturn\InventoryReturnController@delete')->name('return.delete');		
			Route::resource('return', 'InventoryReturn\InventoryReturnController');

			//Inventory Return Detail
			Route::get('/return/item/json', 'InventoryReturn\InventoryReturnController@populateItem')->name('return.populateItem');
			Route::get('/return/item/{id}', 'InventoryReturn\InventoryReturnController@getDetailItem')->name('return.autoFillItem');
			Route::post('/return/item', 'InventoryReturn\InventoryReturnController@storeReturnDetail')->name('return.storeReturnDetail');
			Route::delete('/return/item/{item}', 'InventoryReturn\InventoryReturnController@returnDetailDestroy')->name('return.returnDetailDestroy');						

			//Users Group
			Route::get('/users-group/permissions/{id}', 'UsersGroup\UsersGroupController@getUserPermissions')->name('users-group.getUserPermissions');
			Route::get('/users-group/json', 'UsersGroup\UsersGroupController@populateRecords')->name('users-group.getUsersGroupData');
			Route::delete('/users-group', 'UsersGroup\UsersGroupController@delete')->name('users-group.delete');		
			Route::resource('users-group', 'UsersGroup\UsersGroupController');

			//Users
			Route::get('/users/groups/{id}', 'Users\UsersController@getUserGroups')->name('users.getUserGroups');
			Route::get('/users/json', 'Users\UsersController@populateRecords')->name('users.getUserData');
			Route::get('/users/password', 'Users\UsersController@password')->name('users.password');
			Route::put('/users/password', 'Users\UsersController@update_password')->name('users.password.update');
			Route::get('/profile', 'Users\UsersController@profile')->name('users.profile');			
			Route::put('/users/password/{id}', 'Users\UsersController@resetPassword')->name('users.reset');
			Route::delete('/users', 'Users\UsersController@delete')->name('users.delete');				
			Route::resource('users', 'Users\UsersController');

			//Logout
			Route::get('/logout', 'Auth\LoginController@logout')->name('logout');
		});	
	});
});

app/UsersGroup.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Notifications\Notifiable;
use Illuminate\Database\Eloquent\SoftDeletes;

class UsersGroup extends Model
{
    use Notifiable, SoftDeletes;

    protected $dates = ['deleted_at'];

    protected $fillable = [
    	'group_name', 'group_description', 'user_id',
    ];

    protected $table = 'users_group';

    public function user() {
    	return $this->belongsTo('App\User', 'user_id');
    }
}

resources/views/pages/users_group/create.blade.php
@extends('layouts.app')

@section('title', __('Create Users Group'))
@section('meta_description', __('Users Group Page'))
@section('meta_keywords', __('Users Group'))
@section('copyright', 'Copyright © 2020 ArikBali')
@section('author', 'Arik Bali')

@section('content')
<header class="c-header c-header-light c-header-fixed c-header-with-subheader">
    @include('partials/navbar_menus')
    <div class="c-subheader justify-content-between px-3">
        <ol class="breadcrumb border-0 m-0 px-0 px-md-3">
            <li class="breadcrumb-item">
                <a href="{{ route('dashboard') }}" alt="{{ __('Dashboard') }}" title="{{ __('Dashboard') }}">
                    {{ __('Home') }}
                </a>
            </li>
            <li class="breadcrumb-item">
                <a href="{{ route('users-group.index') }}" alt="{{ __('Users Group') }}" title="{{ __('Users Group List') }}">
                    {{ __('Users Group') }}
                </a>
            </li>            
            <li class="breadcrumb-item active">
                {{ __('Create') }}
            </li>
        </ol>
    </div>
</header>
<div class="c-body">
    <main class="c-main">
        <div class="container-fluid">
            <div id="ui-view">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
                                <h4 class="card-title mb-0">
                                    {{ __('Users Group') }}
                                </h4>
                                <div class="small text-muted">
                                    {{ __('Create New User Group') }}
                                </div>
                            </div>
                        </div><hr>                        
						<form id="myForm" novalidate="novalidate" method="POST" action="{{ route('users-group.store') }}">
							@if ($errors->any())
							    <div class="alert alert-danger">
							        <ul>
							            @foreach ($errors->all() as $error)
							                <li>{{ $error }}</li>
							            @endforeach
							        </ul>
							    </div>
							@endif
							{{ csrf_field() }}	
							<div class="form-group">
								<label class="col-form-label" for="group_name">{{ __('Users Group') }}</label>
								<input class="form-control" id="group_name" type="text" name="group_name" placeholder="{{ __('Users Group') }}" value="{{ old('group_name') }}">
							</div>
							<div class="form-group">
								<label class="col-form-label" for="group_description">{{ __('Description') }}</label>
								<textarea class="form-control" id="group_description" type="group_description" name="group_description" placeholder="{{ __('User Group Description') }}">{{ old('group_description') }}</textarea>
							</div>						
							<h6 class="mt-5">{{ __('User Rights') }}</h6><hr>
							<!-- Hak Akses Disini -->
							<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
								@foreach ($data['data'] as $menu_item)
									@if ($loop->index != 0)
										<hr>
									@endif
									<label><b>{{ $menu_item['groupName'] }}</b></label><br>
									<label>{{ $menu_item['description'] }}</label><br><br>
									<div class="row">
										@foreach ($menu_item['items'] as $item)			
											<div class="col-xs-12 col-sm-6 col-md-3 col-lg-3">
												<div class="form-check checkbox">
													<input type="checkbox" class="form-check-input" name="permissions[]" value="{{ $item['itemKey'] }}" id="{{ $item['groupKey'] }}[{{ $item['itemKey'] }}]">
													<label class="form-check-label" for="{{ $item['groupKey'] }}[{{ $item['itemKey'] }}]"> {{ $item['itemName'] }}</label>
												</div>
											</div> 
										@endforeach             
									</div> 
								@endforeach                   
							</div><hr>																
							<div class="form-group">
								<button class="btn btn-primary" type="submit" name="save" alt="{{ __('Save & Close') }}" title="{{ __('Save & Close') }}">
									<i class="cil-save"></i> {{ __('Save & Close') }}
								</button>
								<a href="{{ route('users-group.index') }}" class="btn btn-light" alt="{{ __('Cancel') }}" title="{{ __('Cancel') }}">
									<i class="icon-action-undo"></i> {{ __('Cancel') }}
								</a>
							</div>
						</form>
                    </div>
                </div>
            </div>
        </div>
    </main>
</div>
@endsection

resources/views/pages/users_group/edit.blade.php
@extends('layouts.app')

@section('title', __('Update Users Group'))
@section('meta_description', __('Users Group Page'))
@section('meta_keywords', __('Users Group'))
@section('copyright', 'Copyright © 2020 ArikBali & Fastech')
@section('author', 'Arik Bali')

@section('content')
<script type="text/javascript">
	$(document).ready(function() {
		var id = $('#id').val();
	 	var myUrl = '{{ route('users-group.getUserPermissions', ':id') }}';
	 	myUrl = myUrl.replace(':id', id);

		$.ajax({
			url: myUrl,
			type: 'GET',
			dataType: 'json',
			data: {},
			success: function(data){
		  		$.each(data, function(index, val) {
		    		$("input[id='"+ val.groupKey + "[" + val.itemKey + "]" + "']").prop('checked', true);
		  		});
			}
		}); 
	});   
</script>
<header class="c-header c-header-light c-header-fixed c-header-with-subheader">
    @include('partials/navbar_menus')
    <div class="c-subheader justify-content-between px-3">
        <ol class="breadcrumb border-0 m-0 px-0 px-md-3">
            <li class="breadcrumb-item">
                <a href="{{ route('dashboard') }}" alt="{{ __('Dashboard') }}" title="{{ __('Dashboard') }}">
                    {{ __('Home') }}
                </a>
            </li>
            <li class="breadcrumb-item">
                <a href="{{ route('users-group.index') }}" alt="{{ __('Users Group') }}" title="{{ __('Users Group List') }}">
                    {{ __('Users Group') }}
                </a>
            </li>            
            <li class="breadcrumb-item active">
                {{ __('Edit') }}
            </li>
        </ol>
    </div>
</header>
<div class="c-body">
    <main class="c-main">
        <div class="container-fluid">
            <div id="ui-view">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
                                <h4 class="card-title mb-0">
                                    {{ __('Users Group') }}
                                </h4>
                                <div class="small text-muted">
                                    {{ __('Update User Group') }}
                                </div>
                            </div>
                        </div><hr>                        
						<form id="myForm" novalidate="novalidate" method="POST" action="{{ route('users-group.update', $group->id) }}">
							@if ($errors->any())
							    <div class="alert alert-danger">
							        <ul>
							            @foreach ($errors->all() as $error)
							                <li>{{ $error }}</li>
							            @endforeach
							        </ul>
							    </div>
							@endif
							{{ csrf_field() }}
							{{ method_field('PUT') }}
							<input type="hidden" name="id" id="id" value="{{ $group->id }}">	
							<div class="form-group">
								<label class="col-form-label" for="group_name">{{ __('Users Group') }}</label>
								<input class="form-control" id="group_name" type="text" name="group_name" placeholder="{{ __('Users Group') }}" value="{{ $group->group_name }}">
							</div>
							<div class="form-group">
								<label class="col-form-label" for="group_description">{{ __('Description') }}</label>
								<textarea class="form-control" id="group_description" type="group_description" name="group_description" placeholder="{{ __('User Group Description') }}">{{ $group->group_description }}</textarea>
							</div>						
							<h6 class="mt-5">{{ __('User Rights') }}</h6><hr>
							<!-- Hak Akses Disini -->
							<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
								@foreach ($data['data'] as $menu_item)
									@if ($loop->index != 0)
										<hr>
									@endif
									<label><b>{{ $menu_item['groupName'] }}</b></label><br>
									<label>{{ $menu_item['description'] }}</label><br><br>
									<div class="row">
										@foreach ($menu_item['items'] as $item)			
											<div class="col-xs-12 col-sm-6 col-md-3 col-lg-3">
												<div class="form-check checkbox">
													<input type="checkbox" class="form-check-input" name="permissions[]" value="{{ $item['itemKey'] }}" id="{{ $item['groupKey'] }}[{{ $item['itemKey'] }}]">
													<label class="form-check-label" for="{{ $item['groupKey'] }}[{{ $item['itemKey'] }}]"> {{ $item['itemName'] }}</label>
												</div>
											</div> 
										@endforeach             
									</div> 
								@endforeach                   
							</div><hr>																
							<div class="form-group">
								<button class="btn btn-primary" type="submit" name="save" alt="{{ __('Update & Close') }}" title="{{ __('Update & Close') }}">
									<i class="cil-save"></i> {{ __('Update & Close') }}
								</button>
								<a href="{{ route('users-group.index') }}" class="btn btn-light" alt="{{ __('Cancel') }}" title="{{ __('Cancel') }}">
									<i class="icon-action-undo"></i> {{ __('Cancel') }}
								</a>
							</div>
						</form>
                    </div>
                </div>
            </div>
        </div>
    </main>
</div>
@endsection

resources/views/pages/users_group/index.blade.php
@extends('layouts.app')

@section('title', __('Users Group'))
@section('meta_description', __('Users Group Page'))
@section('meta_keywords', __('Users Group'))
@section('copyright', 'Copyright © 2020 ArikBali')
@section('author', 'Arik Bali')

@section('content')
<header class="c-header c-header-light c-header-fixed c-header-with-subheader">
    @include('partials/navbar_menus')
    <div class="c-subheader justify-content-between px-3">
        <ol class="breadcrumb border-0 m-0 px-0 px-md-3">
            <li class="breadcrumb-item">
                <a href="{{ route('dashboard') }}" alt="{{ __('Dashboard') }}" title="{{ __('Dashboard') }}">
                    {{ __('Home') }}
                </a>
            </li>
            <li class="breadcrumb-item active">
                {{ __('Users Group') }}
            </li>
        </ol>
    </div>
</header>
<div class="c-body">
    <main class="c-main">
        <div class="container-fluid">
            <div id="ui-view">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-xs-12 col-sm-5 col-md-5 col-lg-5">
                                <h4 class="card-title mb-0">
                                    {{ __('Users Group') }}
                                </h4>
                                <div class="small text-muted">
                                    {{ __('Users Group List') }}
                                </div>
                            </div>
                            <div class="col-xs-12 col-sm-7 col-md-7 col-lg-7">
                                <button alt="{{ __('Delete') }}" class="btn btn-danger float-right" data-target="#deleteDialog" data-toggle="modal" title="{{ __('Delete Selected Items') }}" type="button">
                                    <i class="icon-trash">
                                    </i>
                                    <span class="d-none d-sm-inline">
                                        {{ __('Delete') }}
                                    </span>
                                </button>
                                <a alt="{{ __('Create') }}" class="btn btn-primary float-right mr-2" href="{{ route('users-group.create') }}" title="{{ __('Create New Record') }}">
                                    <i class="icon-plus">
                                    </i>
                                    <span class="d-none d-sm-inline">
                                        {{ __('Create') }}
                                    </span>
                                </a>
                            </div>
                        </div><hr>                        
                        <div id="table" class="table-responsive">
                            <table cellspacing="0" class="table table-bordered datatable dataTable" id="users_group-table" style="width: 100%" width="100%">
                                <thead>
                                    <tr>
                                        <th>
                                            <input id="check-all" name="check-all" type="checkbox">
                                            </input>
                                        </th>
                                        <th>
                                            {{ __('Users Group') }}
                                        </th>
                                        <th>
                                            {{ __('Description') }}
                                        </th>
                                        <th class="text-center">
                                            {{ __('Created At') }}
                                        </th>
                                        <th class="text-center">
                                            {{ __('Updated At') }}
                                        </th>
                                        <th class="text-center">
                                            {{ __('Action') }}
                                        </th>
                                    </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>
</div>
<!-- Modal Dialog Delete -->
<div class="modal fade" id="deleteDialog" tabindex="-1" role="dialog" aria-labelledby="deleteDialogLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="deleteDialogLabel">{{ __('Confirmation') }}</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <p>{{ __('Are you sure want to delete selected data ?') }}</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">{{ __('No') }}</button>
                <button type="button" class="btn btn-primary" id="btnContinueDelete">{{ __('Yes') }}</button>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    $(function() {
        $('#users_group-table').DataTable({
            processing: true,
            serverSide: true,
            responsive: true,
            ajax: '{{ route("users-group.getUsersGroupData") }}',
            lengthMenu: [[10, 25, 50, 100, -1], [10, 25, 50, 100, "{{ __('All') }}"]],
            oLanguage: {
                "sEmptyTable":     "{{ __('No data available in table') }}",
                "sInfo":           "{{ __('Showing') }} _START_ {{ __('to') }} _END_ {{ __('of') }} _TOTAL_ {{ __('entries') }}",
                "sInfoEmpty":      "{{ __('Showing') }} 0 {{ __('to') }} 0 {{ __('of') }} 0 {{ __('entries') }}",
                "sInfoFiltered":   "( {{ __('filtered from') }} _MAX_ {{ __('total entries') }} )",
                "sInfoPostFix":    "",
                "sInfoThousands":  ",",
                "sLengthMenu":     "{{ __('Show') }} _MENU_ {{ __('entries')}}",
                "sLoadingRecords": "{{ __('Loading') }} ...",
                "sProcessing":     "{{ __('Processing') }} ...",
                "sSearch":         "{{ __('Search') }} : ",
                "sZeroRecords":    "{{ __('No matching records found') }}",                  
                "oPaginate": {
                    "sFirst":    "<i class='cil-media-step-backward'></i>",
                    "sLast":     "<i class='cil-media-step-forward'></i>",
                    "sNext":     "<i class='cil-media-skip-forward'></i>",
                    "sPrevious": " <i class='cil-media-skip-backward'></i>"
                }
            },            
            pagingType: "full_numbers",
            paginate: {
                "previous": "Prev",
                "next": "Next",
                "last": "Last",
                "first": "First",
                "page": "<span class=' '><i class='fa fa-eye'></i> &nbsp;Page&nbsp;&nbsp;</span>",
                "pageOf": "<span class=' '>&nbsp;of&nbsp;</span>"
            },                  
            columns: [
                {data: 'checkbox_column', name: 'checkbox_column', orderable: false, searchable: false},
                {data: 'group_name', name: 'group_name'},
                {data: 'group_description', name: 'group_description'},
                {data: 'created_at', name: 'created_at', searchable: false, class: 'text-center'},
                {data: 'updated_at', name: 'updated_at', searchable: false, class: 'text-center'},
                {data: 'action', name: 'action', orderable: false, searchable: false, class: 'text-center'}
            ],
            order: [[ 1, "asc"]]
        });

        $('#users_group-table').on('click', '.btn-delete[data-remote]', function (e) { 
            e.preventDefault();
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });

            var id = $(this).data('remote');
            var url = '{{ route("users-group.destroy", ":id") }}';
            url = url.replace(':id', id);

            // confirm then
            if (confirm('{{ __('Are you sure want to delete it ?') }}')) {
                $.ajax({
                    url: url,
                    type: 'DELETE',
                    dataType: 'json',
                    data: {method: '_DELETE', submit: true,},
                    success: function(data){
                        toastr.options = {
                            "closeButton": true,
                            "positionClass": "toast-top-center"
                        };                      
                        if (data.type == 'error') {
                            toastr.error(data.msg);
                        }else {
                            toastr.success(data.msg);
                        }
                    }
                }).always(function (data) {
                    $('#users_group-table').DataTable().draw(false);
                });
            }else{
                toastr.options = {
                    "closeButton": true,
                    "positionClass": "toast-top-center"
                };                      
                toastr.info('{{ __('You have canceled it!') }}');
            }
        }); 

        $('#check-all').on('click', function() {
            if (this.checked) {
                $(':checkbox').each(function() {
                    this.checked = true;
                });
            }else{
                $(':checkbox').each(function() {
                    this.checked = false;
                });
            }
        });

        $('#btnContinueDelete').on('click', function (e) { 
            e.preventDefault();
            $('#deleteDialog').modal('hide');
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });

            var url = '{{ route("users-group.delete") }}';

            var ckbox = $("input[name='data[]']");
            var ids = [];
            if (ckbox.is(':checked')) {
                $("input[name='data[]']:checked").each(function (i) {
                    ids[i] = $(this).val();
                });
            }else{          
                toastr.options = {
                    "closeButton": true,
                    "positionClass": "toast-top-center"
                };                      
                toastr.warning('{{ __('Please select the record you want to delete!') }}');
            }       

            $.ajax({
                url: url,
                type: 'DELETE',
                dataType: 'json',
                data: {
                    data: ids,
                },
                success: function(data){
                    toastr.options = {
                        "closeButton": true,
                        "positionClass": "toast-top-center"
                    };                      
                    if (data.type == 'error') {
                        toastr.error(data.msg);
                    }else {
                        toastr.success(data.msg);
                    }
                }
            }).always(function (data) {
                $('#users_group-table').DataTable().draw(false);
            });
        }); 
    });     
</script>
@endsection